{% extends 'base.html' %}
{% load markdownify %}
{% block content %}
<main>
    <div>
        <h1>{{project.name}}</h1>
        <p>{{project.description|markdownify}}</p>
        <h2>Tasks</h2>
        <p><a href="{% url 'create_task' %}">Create a new task</a></p>
        {% if project.tasks.all %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Assignee</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                {% for i in project.tasks.all %}
                <tr>
                    <td>{{ i.name }}</td>
                    <td>{{ i.assignee }}</td>
                    <td>{{ i.start_date }}</td>
                    <td>{{ i.due_date }}</td>
                    <td>{{ i.is_completed | yesno }}</td>
                </tr>
                {% endfor %}
            </tbody>
            {% else %}
            <p>This project has no tasks</p>
            {% endif %}
        </table>

    </div>
</main>
{% endblock content %}
